---
title: "Python 的异步"
date: 2021-04-07T01:25:40+08:00
tags: []
categories: []
weight: 50
show_comments: true
draft: false
---

`await` 关键字表明这个位置可以被打断去执行其他任务，常用场景在网络 IO 中。

使用 `await` 修饰调用 `asyncio` 库中的 `sleep` 时，会切换上下文转去执行其他的任务，从而实现多个耗时 IO 并行等待的效果。

直接调用 `async` 修饰声明的函数，得到的是一个“协程”对象，此时函数尚未被真正执行，该对象可以被用来启动执行或取消执行该函数等操作。

[https://stackoverflow.com/questions/50757497/simplest-async-await-example-possible-in-python/53420574#53420574](https://stackoverflow.com/questions/50757497/simplest-async-await-example-possible-in-python/53420574#53420574)