---
title: "迁移到 Wayland 事记（二）"
date: 2022-10-21T10:31:17+08:00
tags: []
categories: []
weight: 50
show_comments: true
draft: false
---

本着“X11 是旧的， Wayland 是好的”的想法，再一次尝试到迁移到 Wayland，但是目前看还是要回头土脸的滚回 Xorg 了。

<!--more-->

## 对于旧问题的解决办法（其实完全没有解决）

旧问题中所有基于 electron 的软件均无法使用输入法，这对非英文用户是一个比较大的问题，但是审阅完我现在所使用的所有程序后，发现基于 electron 的软件只有 vscode 和 element。

之前需要在 vscode 需要写英文，现在不需要和其他人合作，写点只有自己能看懂的蹩脚英文也不是什么问题，于是 vscode 中不能输入中文的问题就解决了。

element 是一个 matrix 聊天客户端，去找一个不是基于 electron 的替代软件就可以了，我目前在用的是 nheko，于是 element 不能输入中文的问题也解决了。

## 出现的新的问题

在 Nvidia 显卡以及其私有驱动下，wayland 下的 X11 应用会频繁闪烁，这一点暂时没什么想法，或许使用 AMD 的核显会好一点，但是并没有强烈的意愿去尝试了，毕竟我马上要滚回 Xorg 了。

Zotero 在 wayland 下无法运行，但是看论坛中的 [反馈](https://forums.zotero.org/discussion/comment/407873#Comment_407873) 来看，**不负责任地估计**大概半年以后能构建一个基于新版本 Firefox 平台的版本，这个问题也会顺带解决。但是现在我已经不能再等了。虽然目前使用 `GDK_BACKEND=x11 zotero` 可以使用 xorg-xwayland 运行，但是部分内容会发虚，并且也有极其严重的上面提到的频闪问题。

Anaconda 中，绝大多数有图形界面的软件包都不能在 wayland 下运行，如 jupyter 的 qtconsole 会报错如下，opencv 的 highui 部分接口也有类似问题，总之就是从 anaconda 中下载的包的图形界面都完全不能用。（顺便从 Arch 官方仓库安装的 python opencv 就可以在 wayland 下使用图形界面，所以暂且认定为 anaconda 中绝大多数包都没有针对 wayland 进行构建）

```
qt.qpa.plugin: Could not find the Qt platform plugin "wayland" in ""
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: eglfs, minimal, minimalegl, offscreen, vnc, webgl, xcb.
```

## 结论：又要滚回 Xorg 了

所以现在又要滚回 Xorg 了，下一次尝试 wayland 可能得等上面这两个新问题解决（或者绕过）以后吧。
